<?php
    use OPDashboard\Services\Benchmark;
    use OPBuilder\Repositories\PageRepository;
    use OPBuilder\Repositories\PageDataRepository;
    use OPBuilder\Editor\Page;
    use OPBuilder\Editor\PageData;

    // Define repositories
    $pageRepository     = new PageRepository;
    $pageDataRepository = new PageDataRepository;

    // Page that we test everything with
    $pageId   = isset($_GET['op-test-page']) ? (int) $_GET['op-test-page'] : 411;
    $testPage = get_post($pageId);

    // Get all OP3 pages
    $pageQuery = new WP_Query([]);
    $pages = get_posts([
        'post_type' => 'page',
    //        'post_status' => 'publish',
        'meta_key'  => '_op3_mode',
        'meta_value' => '1',
        'posts_per_page' => -1,
    ]);
?>

<div class="ops-white-box ops-box-size-max">
    <label for="">Select a page</label><br>
    <select name="test_page" onchange="document.location = '<?php echo admin_url('admin.php?page=op-dashboard-tests&op-test-page=') ?>' + this.value;">
        <option value="">-- Select page --</option>
        <?php foreach ($pages as $page) : ?>
            <option value="<?php echo $page->ID ?>" <?php echo ($pageId == $page->ID) ? ' selected="selected"' : null ?>>[<?php echo $page->ID ?>] <?php echo $page->post_title ?></option>
        <?php endforeach; ?>
    </select>

    <hr><br>

    <?php if ($testPage) : ?>
        <h5>Test page: <a href="<?php echo op3_get_editor_url($pageId) ?>" target="_blank">[<?php echo $testPage->ID ?>] <?php echo $testPage->post_title ?></a></h5>

        <hr><br><br>

        <?php
            Benchmark::start('Find a page');
            $page = $pageRepository->find($pageId);
            Benchmark::endAndOutput('Find a page');
        ?>
        <hr>

        <?php
            Benchmark::start('Generate page summary');
            $summary = $pageRepository->generateSummary($pageId);
            Benchmark::endAndOutput('Generate page summary');
        ?>

        <br><hr><br>

        <?php
            Benchmark::start('Find a data page');
            $page = PageDataRepository::find($pageId);
            Benchmark::endAndOutput('Find a data page');
            //    echo '<pre>'; print_r($page); echo '</pre>';
        ?>

        <hr>

        <?php
            Benchmark::start('Generate data page summary');
            $dataSummary = PageDataRepository::generateSummary($pageId);
            Benchmark::endAndOutput('Generate data page summary');
            //    var_dump($dataSummary);
        ?>
    <?php endif; ?>
</div>
