<?php

namespace OPDashboard\Http\Api;

use WP_REST_Request;

class RevisionsController extends Controller
{
    /**
     * Clear all OP cache
     *
     * @param WP_REST_Request $request
     * @return void
     */
    public static function clear(WP_REST_Request $request)
    {
        if (false === wp_verify_nonce($_POST['_wpnonce'], 'wp_rest')) {
            wp_send_json_error([
                'message' => __('Sorry, your nonce did not verify.', 'opdash')
            ]);
            exit;
        }

        global $wpdb;

        $tablePrefix = $wpdb->get_blog_prefix();

        $wpdb->query("DELETE FROM " . $tablePrefix . "postmeta WHERE meta_key LIKE '_op3_data_%'");
        $wpdb->query("DELETE FROM " . $tablePrefix . "postmeta WHERE meta_key LIKE '_op3_summary_%'");
        $wpdb->query("DELETE FROM " . $tablePrefix . "postmeta WHERE meta_key LIKE '_op3_revisions'");

        wp_send_json_success([
            'message' => __('All Revisions have been cleared.', 'opdash')
        ]);
    }
}
