<?php

namespace OptimizePress\Integrations\Services\Membership;

use OptimizePress\Integrations\Services\Membership;

class MemberData
{
    /**
     * @var string
     */
    protected $email;

    /**
     * @var string
     */
    protected $firstName;

    /**
     * @var string
     */
    protected $lastName;

    /**
     * @var int
     */
    protected $userId;

    /**
     * Fill out member data
     *
     * @param  array  $data
     */
    public function __construct($data = [])
    {
        if (isset($data['email']))      $this->setEmail($data['email']);
        if (isset($data['first_name'])) $this->setFirstName($data['first_name']);
        if (isset($data['last_name']))  $this->setLastName($data['last_name']);
        if (isset($data['user_id']))    $this->setUserId($data['user_id']);
    }

    /**
     * Set the email
     *
     * @param string $email
     */
    public function setEmail($email)
    {
        $this->email = $email;
    }

    /**
     * @return string
     */
    public function getEmail(): string
    {
        return $this->email;
    }

    /**
     * Set the first name
     *
     * @param string $firstName
     */
    public function setFirstName($firstName)
    {
        $this->firstName = $firstName;
    }

    /**
     * @return string
     */
    public function getFirstName()
    {
        return $this->firstName;
    }

    /**
     * Set the last name
     *
     * @param string $lastName
     */
    public function setLastName($lastName)
    {
        $this->lastName = $lastName;
    }

    /**
     * @return string
     */
    public function getLastName()
    {
        return $this->lastName;
    }

    /**
     * Set the user ID
     *
     * @param int $id
     */
    public function setUserId($id)
    {
        $this->userId = (int) $id;
    }

    /**
     * Pre-fill data from a WordPress user
     *
     * @param $user
     */
    public function setDataFromUser($user)
    {

    }
}
